Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.integrationkit
Interface ContainerBuilder

All Known Implementing Classes:
  DefaultLifecycleContainerBuilder, LifecycleContainerBuilder, ScriptedContainerBuilder, XMLContainerBuilder, XStreamContainerBuilder

    public interface ContainerBuilder

The responsibility of a ContainerBuilder is to instantiate and compose containers. (Composition means assembly (registration) and configuration (setting primitive parameters) of components).

Author:
  Joe Walnes

Method Summary
`void` | `buildContainer(org.picocontainer.defaults.ObjectReference containerRef, org.picocontainer.defaults.ObjectReference parentContainerRef, Object compositionScope, boolean addChildToParent)` Create, assemble, init and start a new PicoContainer and store it at a given reference.
`void` | `killContainer(org.picocontainer.defaults.ObjectReference containerRef)` Locate a container at the given reference so it can be stopped, destroyed and removed.

Method Detail

### buildContainer

    void buildContainer(org.picocontainer.defaults.ObjectReference containerRef,
                        org.picocontainer.defaults.ObjectReference parentContainerRef,
                        Object compositionScope,
                        boolean addChildToParent)

  Create, assemble, init and start a new PicoContainer and store it at a given reference.

  Parameters:
    `containerRef` - Where to store the new container.
    `parentContainerRef` - reference to a container that may be used as a parent to the new container (may be null).
    `compositionScope` - Hint about the scope for composition.

### killContainer

    void killContainer(org.picocontainer.defaults.ObjectReference containerRef)

  Locate a container at the given reference so it can be stopped, destroyed and removed.

  Parameters:
    `containerRef` - Where the container is stored.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.